| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Private Attributes | List of all members
Gaudi.Configuration.GaudiPersistency Class Reference
Inheritance diagram for Gaudi.Configuration.GaudiPersistency:
[legend]
Collaboration diagram for Gaudi.Configuration.GaudiPersistency:
[legend]

## Public Member Functions
def | __apply_configuration__ (self)
Public Member Functions inherited from GaudiKernel.Configurable.ConfigurableUser
def | __init__ (self, name=Configurable.DefaultName, _enabled=True, **kwargs)
def | getGaudiType (cls)
def | getDlls (self)
def | getHandle (self)
def | __detach_used__ (self)
def | propagateProperty (self, name, others=None, force=True)
def | propagateProperties (self, names=None, others=None, force=True)
def | applyConf (self)
def | getUsedInstance (self, name)
def | isApplicable (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, *args, **kwargs)
def | __init__ (self, name=DefaultName)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, **kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Static Private Attributes
dictionary | __slots__ = {}

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables
dictionary | configurableServices

## Detailed Description

    Configurable to enable ROOT-based persistency.

    Note: it requires Gaudi::RootCnvSvc (package RootCnv).

Definition at line 113 of file Configuration.py.

## Member Function Documentation

## ◆ __apply_configuration__()

def Gaudi.Configuration.GaudiPersistency.__apply_configuration__ | ( |  | self | ) |

    Apply low-level configuration

Reimplemented from GaudiKernel.Configurable.ConfigurableUser.

Definition at line 120 of file Configuration.py.

120 def __apply_configuration__(self):
121 """Apply low-level configuration"""
122 from Configurables import (
123 ApplicationMgr,
124 PersistencySvc,
125 FileRecordDataSvc,
126 EventPersistencySvc,
127 )
128 # aliased names
129 from Configurables import (
130 RootCnvSvc,
131 RootEvtSelector,
132 IODataManager,
133 FileCatalog,
134 )
135 cnvSvcs = [RootCnvSvc()]
136 EventPersistencySvc().CnvServices += cnvSvcs
137 PersistencySvc("FileRecordPersistencySvc").CnvServices += cnvSvcs
138 app = ApplicationMgr()
139 app.SvcOptMapping += [FileCatalog(), IODataManager(), RootCnvSvc()]
140 app.ExtSvc += [FileRecordDataSvc()]
PersistencySvc
PersistencySvc class implementation definition.
Definition: PersistencySvc.h:50
FileRecordDataSvc
A FileRecordDataSvc is the base class for event services.
Definition: FileRecordDataSvc.cpp:38
ApplicationMgr
The Application Manager class.
Definition: ApplicationMgr.h:45

## Member Data Documentation

## ◆ __slots__

dictionary Gaudi.Configuration.GaudiPersistency.__slots__ = {}
| static private

Definition at line 118 of file Configuration.py.

The documentation for this class was generated from the following file:

- Gaudi/python/Gaudi/Configuration.py